# Journey to QoLhalla

# Description
Enjoy the unofficial DLC, Journey to Valhalla, with all the QoL and none of the fluff. Most notably excluded are foods and build pieces that you find in JTQ. This pack also uses OdinPlusQoL instead of Valheim+

# Discord
https://discord.gg/9mbQpb8FHK

# Features
Subtle and aesthetic changes to the UI
Extra equipment hotkeys, inventory space, and carry weight
Improved ranged and melee combat(throw, dual-wield, strong attacks, slope-fix)
Reworked fishing
Exciting new mobs that are balanced and themed appropriately
Additional skills that provide gradual bonuses as you level them
EpicLoot drops mats-only from enemies and runestones from bosses and bounties
Your grave items can only be accessed by you, and they auto-equip
Automatic pinning of dungeons, ores, boats, etc
Create a group and invite others to join you
Ressurect your dead allies by pressing E on their corpse with a surtling core
Raise an army of wolves and guide them in battle
Custom Haldor and bounties
Visual art upgrades
Player trading
And a lot more QoL changes

# Book of QoL
Welcome to the quality of life journey to Valhalla!

This is a vast and unforgiving realm, so why 
not expand your skills and carry a trick or two up your sleeve?

- Hold R to use emote-wheel
- Hold F to use equip-wheel
- Press T to throw weapon
- Press G to throw shield
- Alt + E to toggle wolfpack follow/stay
- Shift + E to pick multiple crops
- Press E to cancel bow stance
- Press B to enter build-mode
- Shift + click to split item stack in half
- Press ` to deposit-all into nearby chest
- Alt + click to exclude item from deposit
- Press DELETE to recycle the selected item
- Press HOME to show/hide time of day

/invite [name] - sends group invite

/leave - leaves your current group

/kick [name] - kicks player from group

/promote [name] - promotes player to leader"

*If you are playing on a server you will start the game with Book of QoL, but if you are playing in single-player you can craft it with 2 wood

# Installation
**If you are updating this modpack, pay close attention to the dependencies that were removed/replaced because TS Mod Manager does not auto-remove them.
**For an easier time updating, start a new TS Profile and install like brand new. Your worlds and characters are not profile dependent.

Mod Manager (Preferred)
 1. Install JTQ and all dependencies.
 2. Start the game. This will copy all config files to the correct place.
 3. Exit the game and re-start to reload the config changes.
 4. If this is your first time trying JTQoL, start a new character and a new world. *Do not join worlds that are not JTQ*

Manual
 1. Download and move the modpack and all dependencies to your Bepinex Plugins folder.
 2. Start the game. This will copy all config files to the correct place. Exit the game.
 3. Unzip the modpack and move the config and plugins folder to your Bepinex folder.
 4. When asked, overwrite the existing files.
 5. If this is your first time trying JTQ, start a new character and a new world. *Do not join worlds that are not JTQ*

***If you ae playing single-player, you can disable the following mods AFTER running the mod-pack for the first time:
ServerCharacters
Groups
Player Trading
MultiUserChest
ValheimAntiCheat
Chatter
EmoteWheel

# Change log
v2.0.3
 - Added castix-FloatingItems-1.0.0
 - Removed StationsAreContainers
 - Removed FloorsAreRoofs
 - Fixed the recycle hotkey
 - Enabled plant-growth progress on hover
 - Server characters now spawn with Book of QoL
 - Skip tutorials enabled
 
v2.0.2
 - Map pins config corrected
 - Auto-feed config corrected

v2.0.1
 - Replaced ValheimPlus with OdinPlus-OdinsQOL-0.7.1
 - Replaced MoreSlots with OdinPlus-OdinsQOL-0.7.1
 - Replaced CustomContainerSizes with OdinPlus-OdinsQOL-0.7.1
 - Replaced EquipmentAndQuickSlots with OdinPlus-OdinsQOL-0.7.1
 - Replaced Autofeed with eideehi-Automatics-1.3.0
 - Replaced QolPins with eideehi-Automatics-1.3.0
 - Replaced cjayride-InstantMonsterLootDrop with aedenthorn_mods-InstantMonsterLootDrop-0.4.0
 - Replaced bonesbro_repost-FloorsAreRoofs with NotActuallyMine-FloorsAreRoofs-1.0.1
 - Added Azumatt-Minimal_UI-2.0.1
 - Added OdinPlus-Fisticuffs-1.1.8
 - Added UnJohnny-Outsiders-1.1.0
 - Added WackyMole-WackysDatabase-1.2.5
 - Added MSchmoecker-FenceSnap-0.1.1
 - Removed GraphicsConfigPlus
 - Removed Build_Camera
 - Removed ValheimAdditions(not the Epic one)
 - Removed UsefulPaths
 - Removed AlweStats(clock can now be toggled with HOME)
 - Removed Smoothbrain's Building
 - Removed Smoothbrain's Sailing
 - Overhauled the UI look and layout
 - Fixed hotkey conflicts
 - Modest performance gains and better load times
 - Disabled the Quiver due to incompatibility
 - Updated dependencies

v1.0.1
 - Added back Smoothbrain-Groups-1.1.8(bug squashed)
 - Removed OdinsUndercroft
 - Deprecated Horem's wildlife entries in the loottables
 - Updated dependencies

v1.0.0
 - Replaced KGchat with ComfyMods-Chatter-1.0.0
 - Removed Smoothbrain-Groups due to errors with Chatter
 - Replaced ItemDrawers_Remake with ItemDrawers
 - Adjusted hotkey layouts
 - Load times and fps significantly improved